## dcmtk 3.6.9

=== CMakeLists.txt ===
# Minimum CMake version required
cmake_minimum_required(VERSION 3.7.0...3.31.2 FATAL_ERROR)

# Declare project
project(DCMTK)
if(NOT DEFINED CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD "11" CACHE STRING "Set C++ standard to be used (98,11,14,17,20)")
else()
  set(CMAKE_CXX_STANDARD ${CMAKE_CXX_STANDARD} CACHE STRING "Set C++ standard to be used (98,11,14,17,20)")
endif()
mark_as_advanced(CMAKE_CXX_STANDARD)

#-----------------------------------------------------------------------------
# General project settings to configure DCMTK build process
#-----------------------------------------------------------------------------

# Modules to be built
set(DCMTK_MODULES ofstd oflog oficonv dcmdata dcmimgle
  dcmimage dcmjpeg dcmjpls dcmtls dcmnet dcmsr
  dcmsign dcmwlm dcmqrdb dcmpstat dcmrt dcmiod dcmfg
  dcmseg dcmtract dcmpmap dcmect dcmapps
  CACHE STRING "List of modules that should be built.")

# Provide an interface target to elegantly include the config directory
add_library(config INTERFACE)
target_include_directories(config INTERFACE
  $<BUILD_INTERFACE:${DCMTK_BINARY_DIR}/config/include>
  $<INSTALL_INTERFACE:include>
)
install(TARGETS config EXPORT DCMTKTargets)

# Include directories
set(DCMTK_INCLUDE_DIR "${DCMTK_BINARY_DIR}/config/include")
foreach(inc ${DCMTK_MODULES})
  list(APPEND DCMTK_INCLUDE_DIR "${DCMTK_SOURCE_DIR}/${inc}/include")
endforeach()

include_directories(${DCMTK_INCLUDE_DIR})

#-----------------------------------------------------------------------------
# Check the build system
#-----------------------------------------------------------------------------

include(CMake/dcmtkPrepare.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# Prepare osconfig.h
#-----------------------------------------------------------------------------

# Add the osconfig.h.in file
configure_file("${DCMTK_SOURCE_DIR}/CMake/osconfig.h.in"
               "${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h")

# ----------------------------------------------------------------------------
# Unit test related configuration/setup
# ----------------------------------------------------------------------------

if(CMAKE_CROSSCOMPILING)
  if(WIN32)
    set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRunWine.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test as a detached Wine process in the prepared wineprefix")
  elseif(ANDROID)
    set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRunAndroid.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test via the android emulator")
  elseif(NOT CMAKE_CROSSCOMPILING_EMULATOR)
    message(WARNING "Emulation for your target platform is not available, CTest will not be able to execute the unit tests!")
  endif()
else()
  set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRun.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test")
endif()
# Add a target to run the unit tests in exhaustive mode
add_custom_target("test-exhaustive"
  COMMAND "${CMAKE_COMMAND}" "-DCONFIG=${DCMTK_CONFIG_GENERATOR_EXPRESSION}" "-P"
          "${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunExhaustive.cmake"
  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
)

#-----------------------------------------------------------------------------
# Start actual compilation tasks
#-----------------------------------------------------------------------------

# Recurse into subdirectories
foreach(module config doxygen ${DCMTK_MODULES})
  add_subdirectory(${module})
endforeach()
include(CMake/dcmtkAfterModules.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# Installation tasks
#-----------------------------------------------------------------------------

# Install global headers
install(FILES "${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h"
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/dcmtk/config"
        COMPONENT include)

# Install DCMTK's general documentation files
install(FILES ANNOUNCE COPYRIGHT CREDITS FAQ HISTORY VERSION
        DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT doc)
install(DIRECTORY docs/ DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT doc FILES_MATCHING PATTERN "CHANGES.???")

#-----------------------------------------------------------------------------
# Create an install configuration files for external projects
#-----------------------------------------------------------------------------

if(NOT DCMTK_NO_EXPORT)
  dcmtk_create_install_exports()
endif()

#-----------------------------------------------------------------------------
# Configure files needed for running the unit tests and cleanup
#-----------------------------------------------------------------------------

set(DCMICONVPATH "${DCMTK_ICONV_DATAFILES}")

if(CMAKE_CROSSCOMPILING)
  if(WIN32)
    string(REPLACE ";" "${ENVIRONMENT_PATH_SEPARATOR}" DCMDICTPATH "${DCMTK_DICOM_DICTIONARIES}")
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomWine.cmake.in"
      "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
    )
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunWine.cmake.in"
      "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
    )
  elseif(ANDROID)
    DCMTK_ANDROID_STOP_EMULATOR(DCMTK_ANDROID_EMULATOR_INSTANCE)
    # Prepare setting environment variable DCMDICTPATH
    set(DICTIONARIES ${DCMTK_DICOM_DICTIONARIES})
    list(GET DICTIONARIES 0 DCMDICTPATH)
    list(REMOVE_AT DICTIONARIES 0)
    get_filename_component(DCMDICTPATH "${DCMDICTPATH}" NAME)
    set(DCMDICTPATH "${ANDROID_TEMPORARY_FILES_LOCATION}/${DCMDICTPATH}")
    foreach(DICTIONARY ${DICTIONARIES})
      get_filename_component(FILE "${DICTIONARY}" NAME)
      set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
    endforeach()
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomAndroid.cmake.in"
      "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
    )
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunAndroid.cmake.in"
      "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
    )
  else()
    # Nothing to do
  endif()
else()
  string(REPLACE ";" "${ENVIRONMENT_PATH_SEPARATOR}" DCMDICTPATH "${DCMTK_DICOM_DICTIONARIES}")
  configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRun.cmake.in"
    "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
  )
endif()

#-----------------------------------------------------------------------------
# Generate pkgconfig
#-----------------------------------------------------------------------------

if(DCMTK_WITH_ICONV)
  # libiconv does not provide a .pc file
  set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${Iconv_LIBRARY} ${LIBCHARSET_LIBRARY}")
endif()

if(DCMTK_WITH_ICU)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} icu-uc")
endif()

if(DCMTK_WITH_LIBXML)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libxml-2.0")
endif()

if(DCMTK_WITH_LIBPNG)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libpng")
endif()

if(DCMTK_WITH_OPENJPEG)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libopenjp2")
endif()

if(DCMTK_WITH_OPENSSL)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libssl libcrypto")
endif()

if(DCMTK_WITH_SNDFILE)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} sndfile")
endif()

if(DCMTK_WITH_TIFF)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libtiff-4")
endif()

if(DCMTK_WITH_WRAP)
  # libwrap does not provide a .pc file
  set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${WRAP_LIBRARY}")
endif()

if(DCMTK_WITH_ZLIB)
  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} zlib")
endif()

get_property(DCMTK_LIBRARY_TARGETS GLOBAL PROPERTY DCMTK_LIBRARY_TARGETS)

foreach(T ${DCMTK_LIBRARY_TARGETS})
  set(PKGCONF_LIBS "${PKGCONF_LIBS} -l${T}")
endforeach()

configure_file(
  ${DCMTK_SOURCE_DIR}/CMake/dcmtk.pc.in
  ${DCMTK_BINARY_DIR}/dcmtk.pc
  @ONLY
)

install(FILES "${DCMTK_BINARY_DIR}/dcmtk.pc"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== dcmdata/CMakeLists.txt ===
# declare project
project(dcmdata)

# declare include directories which hold for all subdirectories
include_directories("${dcmdata_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" ${ZLIB_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc libi2d libdcxml apps include docs data tests)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmect/CMakeLists.txt ===
# declare project
project(dcmect)

# declare include directories which hold for all subdirectories
include_directories("${dcmect_SOURCE_DIR}/include" "${dcmfg_SOURCE_DIR}/include" "${dcmiod_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" ${ZLIB_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc include tests)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmjpeg/CMakeLists.txt ===
# declare project
project(dcmjpeg)

# recurse into subdirectories
foreach(SUBDIR libsrc libijg8 libijg12 libijg16 apps include)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmpmap/CMakeLists.txt ===
# declare project
project(dcmpmaps)

# declare include directories which hold for all subdirectories
include_directories("${dcmpmaps_SOURCE_DIR}/include" "${dcmfg_SOURCE_DIR}/include" "${dcmiod_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" ${ZLIB_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc include)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmpstat/CMakeLists.txt ===
# declare project
project(dcmpstat)

# declare include directories which hold for all subdirectories
include_directories("${dcmpstat_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${dcmnet_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include" "${dcmqrdb_SOURCE_DIR}/include" "${dcmsr_SOURCE_DIR}/include" "${dcmsign_SOURCE_DIR}/include" "${dcmtls_SOURCE_DIR}/include" ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc apps include data etc tests)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmsign/CMakeLists.txt ===
# declare project
project(dcmsign)

# declare include directories which hold for all subdirectories
include_directories("${dcmsign_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc apps include)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmdata/apps/CMakeLists.txt ===
# declare additional include directories
include_directories(${LIBXML_INCDIR})

# declare executables
foreach(PROGRAM dcm2xml dcmconv dcmcrle dcmdrle dcmdump dcmftest dcmgpdir dump2dcm xml2dcm stl2dcm pdf2dcm dcm2pdf img2dcm dcm2json cda2dcm dcm2cda)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()
DCMTK_ADD_EXECUTABLE(dcmodify
  dcmodify.cc
  mdfconen.cc
  mdfdsman.cc)

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcm2xml dcmconv dcmcrle dcmdrle dcmdump dcmgpdir dcmodify dump2dcm xml2dcm stl2dcm pdf2dcm dcm2pdf img2dcm dcm2json cda2dcm dcm2cda)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmdata oflog ofstd)
endforeach()

DCMTK_TARGET_LINK_MODULES(dcmftest ofstd)
DCMTK_TARGET_LINK_MODULES(img2dcm i2d dcmdata)
DCMTK_TARGET_LINK_MODULES(xml2dcm dcmxml dcmdata oflog ofstd)

=== dcmdata/data/CMakeLists.txt ===
# declare installation files
install(FILES dicom.dic acrnema.dic private.dic diconde.dic dcm2xml.dtd dumppat.txt SC.dump VLP.dump DESTINATION "${CMAKE_INSTALL_DATADIR}" COMPONENT data)

# add paths to the dictionaries to a CMake variable for being used by the unit tests
set(DCMTK_DICOM_DICTIONARIES
  "${CMAKE_CURRENT_SOURCE_DIR}/dicom.dic"
  "${CMAKE_CURRENT_SOURCE_DIR}/private.dic"
  CACHE INTERNAL "paths to the DICOM data dictionaries"
)

=== dcmdata/libdcxml/CMakeLists.txt ===
# create library from source files

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")
include_directories(${LIBXML_INCDIR})

DCMTK_ADD_LIBRARY(dcmxml
  xml2dcm.cc
)

DCMTK_TARGET_LINK_MODULES(dcmxml dcmdata ofstd oflog)
DCMTK_TARGET_LINK_LIBRARIES(dcmxml ${ZLIB_LIBS} ${LIBXML_LIBS})

=== dcmdata/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_TEST_EXECUTABLE(dcmdata_tests
  tbytestr.cc
  tchval.cc
  tdict.cc
  telemlen.cc
  tests.cc
  tfilter.cc
  tgenuid.cc
  ti2dbmp.cc
  titem.cc
  tmatch.cc
  tnewdcme.cc
  tparent.cc
  tparser.cc
  tpath.cc
  tpread.cc
  tsequen.cc
  tspchrs.cc
  tstrval.cc
  ttag.cc
  tvrcomp.cc
  tvrdatim.cc
  tvrds.cc
  tvrfd.cc
  tvrol.cc
  tvrov.cc
  tvrpn.cc
  tvrsv.cc
  tvrui.cc
  tvruv.cc
  txfer.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmdata)

=== dcmimage/apps/CMakeLists.txt ===
# declare executables
foreach(PROGRAM dcm2pnm dcmquant dcmscale dcmicmp)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcm2pnm dcmquant dcmscale dcmicmp)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmimage dcmimgle dcmdata oflog ofstd)
endforeach()

=== debian/changelog ===
dcmtk (3.6.9-6) unstable; urgency=medium

  * Team upload.
  * d/rules: cleanup a stray "noname" file. (Closes: #1122403)
  * d/patches/*-CVE-2025-9732.patch: new.
    These changes pulled from dcmtk upstream address CVE-2025-9732.
    (Closes: #1113993)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/libdcmtk19.lintian-overrides: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Dec 2025 22:34:17 +0100

dcmtk (3.6.9-5) unstable; urgency=medium

  * d/control: relax dependency on dcmtk-data. Closes: #1098944
  * 0012-CVE-2025-2357.patch: new: fix CVE-2025-2357. (Closes: #1100724)
  * documentation: Spring cleanups. Closes: #1095639

 -- Mathieu Malaterre <malat@debian.org>  Fri, 21 Mar 2025 12:45:44 +0100

dcmtk (3.6.9-4) unstable; urgency=medium

  * Team upload.
  * Reinstate 0007-CVE-2024-47796.patch and 0008-CVE-2024-52333.patch.
    These were not part of dcmtk 3.6.9 upstream and still apply.
    Thanks to Salvatore Bonaccorso
  * 0009-CVE-2025-25475.patch: new: fix CVE-2025-25475. (Closes: #1098373)
  * 0010-CVE-2025-25474.patch: new: fix CVE-2025-25474. (Closes: #1098374)
  * 0011-CVE-2025-25472.patch: new: fix CVE-2025-25472.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Feb 2025 22:30:57 +0100

dcmtk (3.6.9-3) unstable; urgency=medium

  * d/patches: Remove old unused patches
  * d/doc: Make sure to reference 3.6.9 path
  * d/watch: Properly watch upstream on github

 -- Mathieu Malaterre <malat@debian.org>  Tue, 18 Feb 2025 12:05:41 +0100

dcmtk (3.6.9-2) experimental; urgency=medium

  * d/t/run-unit-test: Adapt to new installation

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Feb 2025 08:12:50 +0100

dcmtk (3.6.9-1) experimental; urgency=medium

  * New upstream version 3.6.9
  * d/install: Migrate to new SOVERSION
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 30 Jan 2025 13:16:59 +0100

=== debian/control ===
Source: dcmtk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gewo@debian.org>, Mathieu Malaterre <malat@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               gettext,
               help2man,
               libnsl-dev,
               libpng-dev,
               libsndfile1-dev,
               libssl-dev,
               libtiff-dev,
               libwrap0-dev,
               libxml2-dev,
               xxd,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
Homepage: https://dicom.offis.de/dcmtk

Package: dcmtk
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OFFIS DICOM toolkit data files
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK data files.

Package: libdcmtk19
Architecture: any
Section: libs
Depends: dcmtk-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk-dev
Architecture: any
Section: libdevel
Depends: libdcmtk19 (= ${binary:Version}),
         libnsl-dev,
         libwrap0-dev,
         libxml2-dev,
         libz-dev,
         ${misc:Depends}
Suggests: dcmtk-doc
Provides: libdcmtk19-dev
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: dcmtk, libdcmtk-dev
Multi-Arch: foreign
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
ifeq ($(DEB_TARGET_ARCH),armel)
  # https://lists.debian.org/debian-arm/2024/01/msg00031.html
  # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1060104
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-stackclash optimize=+lto
else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
endif

# needed for the tests
export DCMDICTPATH=$(CURDIR)/dcmdata/data/dicom.dic

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1001703
DEB_CXXFLAGS_MAINT_APPEND += -DENABLE_DCMJPLS_INTERLEAVE_NONE
export DEB_CXXFLAGS_MAINT_APPEND

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --buildsystem=cmake

CMAKE_EXTRA_FLAGS += \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DCMAKE_BUILD_TYPE:STRING=None \
 -DCMAKE_CXX_EXTENSIONS:BOOL=OFF \
 -DCMAKE_CXX_STANDARD:STRING=17 \
 -DCMAKE_INSTALL_DATADIC:STRING=share/libdcmtk18 \
 -DCMAKE_SKIP_RPATH:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DDCMTK_ENABLE_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_ENABLE_STL:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_ICONV:BOOL=OFF \
 -DDCMTK_WITH_ICU:BOOL=OFF \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_WITH_STDLIBC_ICONV:BOOL=OFF \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  CMAKE_EXTRA_FLAGS += -DBUILD_TESTING:BOOL=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build
	sed -i 's% -ffile-prefix-map=[^ ]* % %' obj-*/CMakeFiles/DCMTKConfig.cmake

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

override_dh_auto_test-arch:
	LD_LIBRARY_PATH=$(wildcard $(CURDIR)/obj-*/lib):$(LD_LIBRARY_PATH) dh_auto_test

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install-arch:
	dh_auto_install

override_dh_auto_install-indep:
	# DESTDIR=$(CURDIR)/debian/tmp cmake --install obj-* --component data
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/dcmwlm/data install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/dcmdata/data install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/oficonv/data install


override_dh_installdocs:
	dh_installdocs
	# do the doxygen / jquery fix:
	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install # --list-missing

execute_before_dh_missing:
	# Not sure how come this noname appears in the first place.
	rm -fv debian/tmp/usr/share/man/man1/noname

.PHONY: get-orig-source

## dcmtk 3.7.0

=== dcmdata/libsrc/CMakeLists.txt ===
# create library from source files

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

DCMTK_ADD_LIBRARY(dcmdata
  cmdlnarg.cc
  dcbytstr.cc
  dcchrstr.cc
  dccodec.cc
  dcdatset.cc
  dcdatutl.cc
  dcddirif.cc
  dcdicdir.cc
  dcdicent.cc
  dcdict.cc
  dcdictbi.cc
  dcdirrec.cc
  dcdocdec.cc
  dcelem.cc
  dcencdoc.cc
  dcerror.cc
  dcfilefo.cc
  dcfilter.cc
  dchashdi.cc
  dcistrma.cc
  dcistrmb.cc
  dcistrmf.cc
  dcistrms.cc
  dcistrmz.cc
  dcitem.cc
  dcjson.cc
  dcjsonrd.cc
  dclist.cc
  dcmatch.cc
  dcmetinf.cc
  dcobject.cc
  dcostrma.cc
  dcostrmb.cc
  dcostrmf.cc
  dcostrms.cc
  dcostrmz.cc
  dcpath.cc
  dcpcache.cc
  dcpixel.cc
  dcpixseq.cc
  dcpxitem.cc
  dcrleccd.cc
  dcrlecce.cc
  dcrlecp.cc
  dcrledrg.cc
  dcrleerg.cc
  dcrlerp.cc
  dcsequen.cc
  dcspchrs.cc
  dcstack.cc
  dcswap.cc
  dctag.cc
  dctagkey.cc
  dctypes.cc
  dcuid.cc
  dcvr.cc
  dcvrae.cc
  dcvras.cc
  dcvrat.cc
  dcvrcs.cc
  dcvrda.cc
  dcvrds.cc
  dcvrdt.cc
  dcvrfd.cc
  dcvrfl.cc
  dcvris.cc
  dcvrlo.cc
  dcvrlt.cc
  dcvrobow.cc
  dcvrod.cc
  dcvrof.cc
  dcvrol.cc
  dcvrov.cc
  dcvrpn.cc
  dcvrpobw.cc
  dcvrsh.cc
  dcvrsl.cc
  dcvrss.cc
  dcvrst.cc
  dcvrsv.cc
  dcvrtm.cc
  dcvruc.cc
  dcvrui.cc
  dcvrul.cc
  dcvrulup.cc
  dcvrur.cc
  dcvrus.cc
  dcvrut.cc
  dcvruv.cc
  dcwcache.cc
  dcxfer.cc
  vrscan.cc
  vrscanl.c
)

DCMTK_TARGET_LINK_MODULES(dcmdata ofstd oflog)
DCMTK_TARGET_LINK_LIBRARIES(dcmdata ${ZLIB_LIBS})

# Various dictionary-related commands
set(DICOMDIC   "${dcmdata_SOURCE_DIR}/data/dicom.dic")
set(PRIVATEDIC "${dcmdata_SOURCE_DIR}/data/private.dic")
set(DICTIONARIES "${DICOMDIC}" "${PRIVATEDIC}")

if(BUILD_APPS)
  # don't use DCMTK_ADD_EXECUTABLE() since we don't want to install the files
  add_executable(mkdictbi EXCLUDE_FROM_ALL
    cmdlnarg.cc
    dcdicent.cc
    dcdict.cc
    dchashdi.cc
    dctagkey.cc
    dctypes.cc
    dcvr.cc
    mkdictbi.cc
  )
  add_executable(mkdeftag EXCLUDE_FROM_ALL
    cmdlnarg.cc
    dcdicent.cc
    dcdict.cc
    dchashdi.cc
    dctagkey.cc
    dctypes.cc
    dcvr.cc
    mkdeftag.cc
  )
  # workaround for Visual Studio to disable dll storage specifiers when linking directly into the executable.
  # this is needed since the built-in dictionary code is created by the tools below and thus those tools
  # statically link the few required dcmdata source files instead of linking to dcmdata as a whole.
  set_target_properties(mkdictbi mkdeftag PROPERTIES COMPILE_DEFINITIONS "DCMDATA_BUILD_DICTIONARY")
endif()
DCMTK_TARGET_LINK_MODULES(mkdictbi ofstd oflog)
DCMTK_TARGET_LINK_MODULES(mkdeftag ofstd oflog)

add_custom_target(updatedeftag
        COMMAND mkdeftag -o "${dcmdata_SOURCE_DIR}/include/dcmtk/dcmdata/dcdeftag.h" ${DICTIONARIES}
        DEPENDS mkdeftag
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate a new include file of defined tags")

add_custom_target(updatebuiltindict
        COMMAND mkdictbi -o dcdictbi.cc ${DICTIONARIES}
        DEPENDS mkdictbi
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate a builtin data dictionary")

add_custom_target(mkvrscan
        COMMAND flex -8 --header-file=vrscanl.h --outfile=vrscanl.c vrscanl.l
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate vrscanl.c and vrscanl.h")

=== dcmrt/apps/CMakeLists.txt ===
# declare executables
DCMTK_ADD_EXECUTABLE(drtdump drtdump.cc)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(drtdump dcmrt)

=== dcmsr/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_TEST_EXECUTABLE(mkreport mkreport.cc)
DCMTK_ADD_TEST_EXECUTABLE(dcmsr_tests
  tests.cc
  tsrcmr.cc
  tsrcodvl.cc
  tsrdoc.cc
  tsrdoctr.cc
  tsrlist.cc
  tsrimgvl.cc
  tsrnumvl.cc
  tsrtpl.cc
  tsrtree.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(mkreport dcmsr dcmimage dcmimgle dcmdata oflog ofstd)
DCMTK_TARGET_LINK_MODULES(dcmsr_tests cmr dcmsr dcmimage dcmimgle dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmsr)

=== dcmwlm/apps/CMakeLists.txt ===
# declare additional include directories
include_directories("${dcmtls_SOURCE_DIR}/include")

# declare executables
DCMTK_ADD_EXECUTABLE(wlmscpfs wlmscpfs.cc wlcefs.cc)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(wlmscpfs dcmwlm)

=== debian/changelog ===
dcmtk (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.7.0: fixes CVE-2025-14607 and CVE-2025-14841.
    (Closes: #1122926, #1123584, #1060677)
  * d/copyright: refresh following new upstream release.
  * *-CVE-*.patch: delete: all security issues are fixed upstream.
  * 07_dont_export_all_executables.patch: unfuzz.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.
  * d/dcmtk-doc.doc-base: update upstream version.

 -- Étienne Mollier <emollier@debian.org>  Wed, 11 Feb 2026 18:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Gert Wollny <gewo@debian.org>, Mathieu Malaterre <malat@debian.org>
 Section: science
-Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
@@ -18,7 +17,7 @@
                xxd,
                zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
 Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
 Homepage: https://dicom.offis.de/dcmtk

## dcmtk 3.7.0%2breally3.7.0

=== dcmseg/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmseg
  overlaputil.cc
  segdoc.cc
  segment.cc
  segtypes.cc
  segutils.cc
)

DCMTK_TARGET_LINK_MODULES(dcmseg dcmfg dcmiod dcmdata ofstd oflog)

## dcmtk 3.7.0+really3.6.9

=== debian/changelog ===
dcmtk (3.7.0+really3.6.9-1) unstable; urgency=medium

  * Team upload.
  * Undo upload of version 3.7.0 that caused ABI breakage by rolling
    back to the state of 3.6.9-6.  Note this undoes mitigations against
    CVE-2025-14607 and CVE-2025-14841 (and reopens #1122926, #1123584,
    #1060677) (Closes: #1127756)

 -- Étienne Mollier <emollier@debian.org>  Thu, 12 Feb 2026 19:47:48 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: DCMTK
Project: dcmtk

## dcmtk 3.7.0+really3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Minimum CMake version required
-cmake_minimum_required(VERSION 3.7.0...3.31.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.7.0...4.2.0 FATAL_ERROR)
 
 # Declare project
 project(DCMTK)
@@ -134,6 +134,7 @@
       get_filename_component(FILE "${DICTIONARY}" NAME)
       set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
     endforeach()
+    set(DCMICONVPATH "${ANDROID_TEMPORARY_FILES_LOCATION}/data")
     configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomAndroid.cmake.in"
       "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
     )

=== dcmtract/CMakeLists.txt ===
# declare project
project(dcmtract)

# declare include directories which hold for all subdirectories
include_directories("${dcmtract_SOURCE_DIR}/include" "${dcmiod_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" ${ZLIB_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc include tests)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmapps/apps/CMakeLists.txt ===
# declare executables
foreach(PROGRAM dcm2img)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcm2img dcmjpeg dcmjpls)

=== dcmdata/apps/CMakeLists.txt ===
# declare additional include directories
include_directories(${LIBXML_INCDIR})

# declare executables
foreach(PROGRAM dcm2xml dcmconv dcmcrle dcmdrle dcmdump dcmftest dcmgpdir dump2dcm xml2dcm stl2dcm pdf2dcm dcm2pdf img2dcm dcm2json cda2dcm dcm2cda json2dcm dcmencap dcmdecap)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

DCMTK_ADD_EXECUTABLE(dcmodify
  dcmodify.cc
  mdfconen.cc
  mdfdsman.cc)

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcm2xml dcmconv dcmcrle dcmdrle dcmdump dcmgpdir dcmodify dump2dcm stl2dcm pdf2dcm dcm2pdf dcm2json json2dcm cda2dcm dcm2cda dcmencap dcmdecap)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmdata)
endforeach()

DCMTK_TARGET_LINK_MODULES(dcmftest ofstd)
DCMTK_TARGET_LINK_MODULES(img2dcm i2d)
DCMTK_TARGET_LINK_MODULES(xml2dcm dcmxml)

=== dcmdata/tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   tchval.cc
   tdict.cc
   telemlen.cc
+  tfrmsiz.cc
   tests.cc
   tfilter.cc
   tgenuid.cc
@@ -33,7 +34,7 @@
 )
 
 # make sure executables are linked to the corresponding libraries
-DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d dcmdata oflog ofstd)
+DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d)
 
 # This macro parses tests.cc and registers all tests
 DCMTK_ADD_TESTS(dcmdata)

=== dcmfg/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_TEST_EXECUTABLE(dcmfg_tests
  tests.cc
  t_concatenation_creator.cc
  t_concatenation_loader.cc
  t_ct_acquisition_details.cc
  t_ct_acquisition_type.cc
  t_ct_image_frame_type.cc
  t_ct_position.cc
  t_ct_table_dynamics.cc
  t_deriv_image.cc
  t_fg_base.cc
  t_frame_content.cc
  t_irradiation_event_identification.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmfg_tests dcmfg)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmfg)

=== dcmiod/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmiod
  cielabutil.cc
  iodcontentitemmacro.cc
  iodcommn.cc
  iodmacro.cc
  iodrules.cc
  iodreferences.cc
  iodutil.cc
  iodtypes.cc
  modacquisitioncontext.cc
  modbase.cc
  modcommoninstanceref.cc
  modenhequipment.cc
  modenhusimage.cc
  modenhusseries.cc
  modequipment.cc
  modfloatingpointimagepixel.cc
  modfor.cc
  modgeneralimage.cc
  modgeneralseries.cc
  modgeneralstudy.cc
  modhelp.cc
  modiccprofile.cc
  modimagepixel.cc
  modimagepixelbase.cc
  modmultiframefg.cc
  modmultiframedimension.cc
  modpalettecolorlut.cc
  modpatient.cc
  modpatientstudy.cc
  modsegmentationseries.cc
  modsopcommon.cc
  modsynchronization.cc
  modusfor.cc
)

DCMTK_TARGET_LINK_MODULES(dcmiod dcmimgle dcmdata ofstd oflog)

=== dcmiod/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_TEST_EXECUTABLE(dcmiod_tests
  tchecks.cc
  tcielabutil.cc
  tcodes.cc
  ticcprofile.cc
  timagepixel.cc
  tmacro.cc
  tpalette.cc
  tests.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmiod_tests dcmimgle dcmiod dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmiod)

=== dcmjpls/apps/CMakeLists.txt ===
# declare additional include directories
include_directories("${dcmjpls_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include" "${dcmimage_SOURCE_DIR}/include" ${ZLIB_INCDIR} ${LIBTIFF_INCDIR} ${LIBPNG_INCDIR})

# declare executables
foreach(PROGRAM dcmcjpls dcmdjpls dcml2pnm)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcmcjpls dcmdjpls dcml2pnm)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmjpls dcmtkcharls dcmimage)
endforeach()

=== dcmnet/apps/CMakeLists.txt ===
# declare additional include directories needed for compression support
include_directories("${dcmjpls_SOURCE_DIR}/include" "${dcmjpeg_SOURCE_DIR}/include" "${dcmimage_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include")

# declare executables
foreach(PROGRAM dcmrecv dcmsend echoscu findscu getscu movescu storescp storescu termscu)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# declare installation files
if(WITH_OPENSSL)
  if(WIN32)
    install(DIRECTORY "${OPENSSL_BINDIR}/"
        DESTINATION "${CMAKE_INSTALL_BINDIR}"
        COMPONENT bin
        CONFIGURATIONS Release MinSizeRel
        FILES_MATCHING REGEX "dcmtk(eay|crypto|ssl).*\\.dll"
        REGEX "dcmtk(eay|crypto|ssl)_d.*\\.dll" EXCLUDE
    )
    install(DIRECTORY "${OPENSSL_BINDIR}/"
        DESTINATION "${CMAKE_INSTALL_BINDIR}"
        COMPONENT bin
        CONFIGURATIONS Debug RelWithDebInfo
        FILES_MATCHING REGEX "dcmtk(eay|crypto|ssl)_d.*\\.dll"
    )
  endif()
endif()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcmsend termscu)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmnet)
endforeach()
foreach(PROGRAM dcmrecv echoscu findscu storescp storescu getscu movescu)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmtls)
endforeach()

# uncomment the following line if "storescu" is compiled with ON_THE_FLY_COMPRESSION defined
#DCMTK_TARGET_LINK_MODULES(storescu dcmjpls dcmjpeg dcmimage)

# "dcmsend" always needs compression support
DCMTK_TARGET_LINK_MODULES(dcmsend dcmjpls dcmjpeg dcmimage)

=== dcmpstat/apps/CMakeLists.txt ===
# declare additional include directories
include_directories(${dcmtls_SOURCE_DIR}/include ${LIBXML_INCDIR})

# declare executables
foreach(PROGRAM dcmmkcrv dcmmklut dcmp2pgm dcmprscp dcmprscu dcmpschk dcmpsmk dcmpsprt dcmpsrcv dcmpssnd)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcmp2pgm dcmprscp dcmprscu dcmpsmk dcmpschk dcmpsprt dcmpsrcv dcmpssnd)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmpstat dcmdsig dcmsr dcmimage dcmimgle dcmqrdb dcmtls)
endforeach()

foreach(PROGRAM dcmmkcrv dcmmklut)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmdsig dcmsr dcmimage dcmimgle)
endforeach()

=== dcmpstat/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_TEST_EXECUTABLE(msgserv msgserv.cc)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(msgserv dcmpstat dcmdsig dcmsr dcmimage)

=== debian/changelog ===
dcmtk (3.7.0+really3.7.0-0+exp1) experimental; urgency=medium

  * Team upload
  * d/rules: guard against accidental ABI breakages.
  * New upstream version 3.7.0: fixes CVE-2025-14607 and CVE-2025-14841.
    (Closes: #1122926, #1123584, #1060677)
  * d/*: soname bump to libdcmtk20.
  * d/control: libdcmtk20 replaces libdcmtk19.
  * skip-bigendian-roundtrip-failure.patch: new: skip test failure on s390x.
    The correction is work in progress upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 18 Feb 2026 21:22:40 +0100

=== debian/control ===
--- 
+++ 
@@ -47,10 +47,12 @@
  .
  This package contains the DCMTK data files.
 
-Package: libdcmtk19
+Package: libdcmtk20
 Architecture: any
 Section: libs
 Depends: dcmtk-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdcmtk19
+Replaces: libdcmtk19
 Multi-Arch: same
 Description: OFFIS DICOM toolkit runtime libraries
  DCMTK includes a collection of libraries and applications for examining,
@@ -66,14 +68,14 @@
 Package: libdcmtk-dev
 Architecture: any
 Section: libdevel
-Depends: libdcmtk19 (= ${binary:Version}),
+Depends: libdcmtk20 (= ${binary:Version}),
          libnsl-dev,
          libwrap0-dev,
          libxml2-dev,
          libz-dev,
          ${misc:Depends}
 Suggests: dcmtk-doc
-Provides: libdcmtk19-dev
+Provides: libdcmtk20-dev
 Description: OFFIS DICOM toolkit development libraries and headers
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,20 @@
   CMAKE_EXTRA_FLAGS += -DBUILD_TESTING:BOOL=OFF
 endif
 
+# Guard against accidental ABI breakages.
+DCMTK_SOVERSION != sed -n 's/set(DCMTK_ABI_VERSION \([0-9]\+\))/\1/p' CMake/dcmtkPrepare.cmake
+DEB_SOVERSION != sed -n 's/Package: libdcmtk\([0-9]\+\)/\1/p' debian/control
+execute_before_dh_autoreconf:
+	@ if [ $(DCMTK_SOVERSION) != $(DEB_SOVERSION) ] \
+	; then \
+		printf 'E: libdcmtk%s package mismatches dcmtk soversion %s.\n' \
+			$(DEB_SOVERSION) $(DCMTK_SOVERSION) \
+	;	printf 'E: Please bump the package soversion to libdcmtk%s\n' \
+			$(DCMTK_SOVERSION) \
+	;	printf 'E: and coordinate a transition.\n' \
+	;	exit 1 \
+	; fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
